- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StarItemSet Class Reference

class to store a list of item More...

`#include <StarItem.hxx>`

## Public Member Functions
| StarItemSet ()
| constructor More...
bool | empty () const
| return true if the set is empty More...
bool | add (shared_ptr< StarItem > item)
| try to add a item More...
std::string | printChild () const
| debug function to print the child field More...

## Public Attributes
librevenge::RVNGString | m_style
| item set name More...
int | m_family
| the family More...
std::map< int, shared_ptr< StarItem > > | m_whichToItemMap
| the list of item More...

## Detailed Description

class to store a list of item

## Constructor & Destructor Documentation

StarItemSet::StarItemSet | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool StarItemSet::add | ( | shared_ptr< StarItem > | item | ) |

try to add a item

Referenced by StarObject::readItemSet().

bool StarItemSet::empty | ( |  | ) | const
| inline

return true if the set is empty

std::string StarItemSet::printChild | ( |  | ) | const

debug function to print the child field

Referenced by operator<<(), and StarObjectSpreadsheet::updatePageSpans().

## Member Data Documentation

int StarItemSet::m_family

the family

Referenced by StarItemPool::updateUsingStyles().

librevenge::RVNGString StarItemSet::m_style

item set name

Referenced by StarItemPool::updateUsingStyles().

std::map<int, shared_ptr<StarItem> > StarItemSet::m_whichToItemMap

the list of item

Referenced by add(), StarItemPool::defineGraphicStyle(), printChild(), StarObject::readItemSet(), StarObjectSpreadsheet::updatePageSpans(), StarItemPool::updateStyles(), and StarItemPool::updateUsingStyles().

The documentation for this class was generated from the following files:

- StarItem.hxx
- StarItem.cxx